Subject: bug#8103: NUL terminated lines

From: Bjartur Thorlacius <[email-masked]>
Date: Thu, 24 Feb 2011 14:19:40 +0000

On 2/24/11, Jim Meyering <[email-masked]> wrote:
> Bjartur Thorlacius wrote:
>>> Maybe we should modify tac to add the -z option.  Would you care to
>> write a patch?
>> It would be redundant, as tac -s $'\0' is equivalent.
>
> Are you using a non-GNU version of tac?
I don't remember whether I was using FreeBSD or GNU tac.

> If so, please tell us which one -- that may influence
> the decision of whether to make "-s ''" work or to add -z.
>
> With GNU tac, that has never worked:
>
>     $ tac -s ''
>     tac: separator cannot be empty
>
NUL!=the empty string.

> Making -s accommodate an empty string argument is a possibility,
> but that change looks like it'd be relatively disruptive.
>
I don't understand what that would do. Self-delimited strings would be
quite disruptive, indeed, but I gather that's not what you're talking
about.